# makefile for bcc under DOS.
 
# If you want to run the calc demo, include the FLOAT_TYPE flag
CFLAGS = -G- -H -N -O1 -w -ml -Dmsdos -DFLOAT_TYPE #-DUSE_DOUBLE
# Note that to enable double precision floating point, add the -DUSE_DOUBLE
# to the CFLAGS macro.

CC = bcc

OBJS = slang.obj slparse.obj slmath.obj slfile.obj slstd.obj slarray.obj\
       slregexp.obj

EXEC = calc.exe
RANLIB = ranlib
LIBDIR = .

slang.lib: $(OBJS)
	tlib $(LIBDIR)\slang.lib /C @slang.rsp

.c.obj:
	$(CC) -c $(CFLAGS) $*.c

calc: calc.obj slang.lib
	$(CC) $(CFLAGS) -e$(EXEC) -L. calc.obj slang.lib  

export:
	export -f slang.lis
